gnutls_x509_trust_list_remove_trust_file(3)

NAME
gnutls_x509_trust_list_remove_trust_file - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_remove_trust_file(gnutls_x509_trust_list_t list, const char* ca_file, gnutls_x509_crt_fmt_t type);

ARGUMENTS

gnutls_x509_trust_list_t list
    The structure of the list

const char* ca_file
    A file containing a list of CAs

gnutls_x509_crt_fmt_t type
    The format of the certificates

DESCRIPTION
This function will add the given certificate authorities to the trusted list. pkcs11 URLs are also accepted, instead of files, by this function.

RETURNS
The number of added elements is returned.

SINCE
3.1.10

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/